Subject: Re: How to use the MS headers (second attempt)
From: [email-masked] (Paul Garceau)

27 Nov 1997 13:49:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

Hi folks,

	Just wanted to thank Axel for the revisions he sent.  They are much 
appreciated.

	Paul G.

On 26 Nov 97 at 9:18, the Illustrious Axel Riese wrote:

> Dear all !
> 
> Yesterday I tried to explain how to use the Microsoft headers with cygwin
> and mingw32. As I expected, I made some mistakes since I had to do it by
> heart. For those being interested, here's the corrected version:
> 
> - Delete the Windows related headers from cygwin, mingw32, etc.
> 
> - Copy the MS headers in a directory and let C_INCLUDE_PATH point to
>   this directory, too (I have no experience with C++)
> 
> - Download RSXNT131 and copy the files wingnuc.h and excpt.h into this
>   directory
> 
> - Also extract patch.exe and patch.dif
> 
> - Run patch.exe on patch.dif as explained in rsxnt.hlp (section how to
>   use the MS headers or something like that)
> 
> - At the beginning of wingnuc.h #include <string.h> (mingw32 needs this)
> 
> - Comment out the definitions in wingnuc.h which appear somewhere else:
>   // #define __cdecl__
>   // #define __stdcall __attribute__(stdcall)
>   // #define _X86_
> 
> - Now everything should work fine unless you include shlobj.h (for the
>   shell functions). If you don't need them skip this point. Otherwise,
>   just look at the errors you get. Most of them are related to nameless
>   structures and unions (too many to list here). For those, just add a
>   (dummy) name in shlobj.h and the headers included by this one.
> 
> - If you want to use mingw32, you have to add
>   -D_WCHAR_T and
>   -D_SIZE_T
>   to your CFLAGS.
> 
> 
> This should really work now. Sorry for the erroneous meassage,
> 
>    Axel
> 
> 
> =========================================================================
> ====== Axel Riese Research Institute for Symbolic Computation J. Kepler
> University Linz A-4040 Linz                              e-Mail:
> [email-masked] Austria             URL:
> http://www.risc.uni-linz.ac.at/research/combinat/risc/
> =========================================================================
> ====== - For help on using this list (especially unsubscribing), send a
> message to "[email-masked]" with one line of text: "help".
> 

Chronicles of Aurum: Book I
      A Journey Into the Fantastic
http://www.submergedsoftware.com/
ICQ#977283
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".